"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.resize = resize;
var _reactNative = require("react-native");
var _reactNativeVisionCamera = require("react-native-vision-camera");
const resizePlugin = _reactNativeVisionCamera.VisionCameraProxy.initFrameProcessorPlugin('resize');
if (resizePlugin == null) {
  if (_reactNative.Platform.OS === 'android') {
    throw new Error('vision-camera-resize-plugin does not work on Android yet. Contact me through my agency if you want me to add Android support.');
  } else {
    throw new Error('Cannot find vision-camera-resize-plugin! Did you install the native dependency properly?');
  }
}
/**
 * Resizes the given Frame to the target width/height and
 * convert it to the given pixel format.
 */
function resize(frame, options) {
  'worklet';

  // @ts-expect-error
  return resizePlugin.call(frame, options);
}
//# sourceMappingURL=index.js.map