import { Platform } from 'react-native';
import { VisionCameraProxy } from 'react-native-vision-camera';
const resizePlugin = VisionCameraProxy.initFrameProcessorPlugin('resize');
if (resizePlugin == null) {
  if (Platform.OS === 'android') {
    throw new Error('vision-camera-resize-plugin does not work on Android yet. Contact me through my agency if you want me to add Android support.');
  } else {
    throw new Error('Cannot find vision-camera-resize-plugin! Did you install the native dependency properly?');
  }
}
/**
 * Resizes the given Frame to the target width/height and
 * convert it to the given pixel format.
 */
export function resize(frame, options) {
  'worklet';

  // @ts-expect-error
  return resizePlugin.call(frame, options);
}
//# sourceMappingURL=index.js.map